← Усі категорії інструментів
робочі інструменти 150

Текстові інструменти та списки

Очищуйте, порівнюйте та вимірюйте вміст без завантаження робочих даних.

Вирівняти текст по центру

Вирівнюйте кожен рядок по центру в межах точної ширини в Unicode-символах, зберігаючи порожні рядки й відхиляючи руйнівне обрізання.

Відкрити інструмент →

Видалити префікс із слів

Видаліть один точний початковий фрагмент із відповідних слів Unicode і залиште пунктуацію, пробіли та невідповідні слова без змін.

Відкрити інструмент →

Видалити суфікс із слів

Видаліть одне точне закінчення з відповідних слів Unicode, не згладжуючи роздільники та не змінюючи слова, які не мають цього суфікса.

Відкрити інструмент →

Вставити роздільник між символами

Розмістіть вибраний роздільник між кодовими точками Unicode, не розбиваючи сурогатні пари, як-от emoji, на неприпустимі половини.

Відкрити інструмент →

Цитуйте кожен рядок тексту

Огорніть кожен рядок подвійними лапками, одинарними лапками або зворотними апострофами, зберігаючи порожні рядки та початковий порядок рядків.

Відкрити інструмент →

Видалити лапки з рядків тексту

Видаліть одну збалансовану пару зовнішніх лапок з кожного рядка, використовуючи автоматичне або явне зіставлення стилю лапок.

Відкрити інструмент →

Цитуйте кожне слово

Огорніть кожен токен слова Unicode вибраним символом лапок, зберігаючи коми, пунктуацію та початкові пробіли.

Відкрити інструмент →

Видалити лапки з слів

Розгортайте окремо взяті в лапки слова Unicode, коли обидві лапки збігаються, не видаляючи з прози не пов’язані з цим лапки.

Відкрити інструмент →

Нормалізувати порожні рядки

Обмежте кількість послідовних порожніх рядків точним максимумом, зберігаючи відступи та кожен непорожній рядок.

Відкрити інструмент →

Перетворити пробіли на нові рядки

Перетворіть кожен токен, відокремлений пробілами, на окремий рядок і детерміновано згорніть повторювані пробіли, табуляції та наявні розриви рядків.

Відкрити інструмент →

Перетворити нові рядки на роздільник

Об’єднуйте непорожні текстові рядки з настроюваним роздільником, обрізаючи лише зовнішні пробіли кожного рядка.

Відкрити інструмент →

Аналізатор частоти слів

Відсортуйте слова Unicode за кількістю входжень із налаштовуваною мінімальною довжиною, обмеженням кількості результатів і порівнянням з урахуванням регістру.

Відкрити інструмент →

Сортувати літери всередині слів

Впорядковуйте літери та цифри Unicode всередині кожного слова окремо, не переміщуючи розділові знаки чи самі слова.

Відкрити інструмент →

Сортувати всі текстові символи

Упорядкуйте кожну кодову позицію Unicode в усьому вхідному тексті з необов’язковим видаленням пробілів і явним напрямком за зростанням або спаданням.

Відкрити інструмент →

Число Текст Речення

Розміщуйте кожне виявлене речення на окремому пронумерованому рядку з налаштовуваним початковим значенням і трьома читабельними стилями маркерів.

Відкрити інструмент →

Кількість текстових абзаців

Нумеруйте абзаци, розділені порожнім рядком, зберігаючи всі внутрішні розриви рядків і форматування кожного абзацу.

Відкрити інструмент →

Пошук дубльованих речень

Перелічіть повторювані повні речення з підрахунком, використовуючи явне порівняння з урахуванням або без урахування регістру.

Відкрити інструмент →

Унікальний екстрактор речень

Залиште першу появу кожного повного речення та видаліть пізніші дублікати згідно з вибірним правилом регістру.

Відкрити інструмент →

Кодувальник і декодувальник тексту Base32

Перетворюйте текст UTF-8 на канонічний Base32 RFC 4648 або строго декодуйте доповнене чи недоповнене значення Base32.

Відкрити інструмент →

Кодер і декодер тексту Base32hex

Кодуйте та декодуйте UTF-8 за допомогою розширеного шістнадцяткового алфавіту Base32, визначеного в розділі 7 RFC 4648.

Відкрити інструмент →

Текстовий кодувальник і декодувальник Base45

Перетворюйте текст UTF-8 за допомогою компактного алфавіту Base45 RFC 9285, що використовується орієнтованими на QR форматами даних.

Відкрити інструмент →

Кодувальник і декодувальник тексту Bitcoin Base58

Перетворюйте байти UTF-8 за допомогою алфавіту Bitcoin Base58, зберігаючи початкові нульові байти точно.

Відкрити інструмент →

Кодувальник і декодувальник тексту Ascii85

Кодуйте UTF-8 у п’ятисимвольних групах Ascii85 або декодуйте суворі дані, сумісні з Adobe, з необов’язковими розділювачами та стисненням z.

Відкрити інструмент →

Кодувальник і декодувальник тексту Quoted-Printable

Кодуйте поштовий текст UTF-8 у quoted-printable за RFC 2045 або декодуйте перевірені великі екрановані послідовності та нормалізовані браузером розриви рядків.

Відкрити інструмент →